Bug 1426753 - speedtest-cli 1.0.2 available
Summary: speedtest-cli 1.0.2 available
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: speedtest-cli   
(Show other bugs)
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matías Kreder
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-24 18:30 UTC by sedrubal
Modified: 2018-05-29 12:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 12:12:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sedrubal 2017-02-24 18:30:05 UTC
Description of problem:

There is a new version available for speedtest-cli.

- latest version: 1.0.2
- current Fedora version: 0.3.2 (from 2015-02)

Version-Release number of selected component (if applicable): 0.3.2

Additional info:

- https://github.com/sivel/speedtest-cli/releases/tag/v1.0.2

Comment 1 Fedora End Of Life 2017-02-28 12:26:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora Update System 2017-03-23 20:13:50 UTC
speedtest-cli-1.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c61460fa5

Comment 3 Fedora Update System 2017-03-24 20:24:13 UTC
speedtest-cli-1.0.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c61460fa5

Comment 4 sedrubal 2017-03-26 22:02:53 UTC
I just saw that there is are already packages named python2-speedtest-cli and python3-speedtest-cli for version 1.0.2. When these packages are installed you can't install speedtest-cli. DNF fails printing this error:

Error: Transaction check error:
  file /usr/bin/speedtest-cli from install of speedtest-cli-0.3.2-5.fc25.noarch conflicts with file from package python3-speedtest-cli-1.0.2-1.fc25.noarch
  file /usr/lib/python3.5/site-packages/speedtest_cli.py from install of speedtest-cli-0.3.2-5.fc25.noarch conflicts with file from package python3-speedtest-cli-1.0.2-1.fc25.noarch
  file /usr/share/man/man1/speedtest-cli.1.gz from install of speedtest-cli-0.3.2-5.fc25.noarch conflicts with file from package python3-speedtest-cli-1.0.2-1.fc25.noarch

Error Summary
-------------


So why does the package speedtest-cli exist?

Comment 5 Matías Kreder 2017-03-27 14:02:00 UTC
I own speedtest-cli since a few years ago. I am not sure why python-speedttest-cli was submitted since it's a duplicate of my package. It seems like its very recent.
I am going to contact the maintainer of python-speedtest-cli to see why he submitted it.

Comment 6 Fedora End Of Life 2018-05-03 08:30:06 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 12:12:56 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.